LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleSelection Interface Reference

Implement this interface to represent a selection of accessible objects. More...

`import"XAccessibleSelection.idl";`

Inheritance diagram for XAccessibleSelection:

## Public Member Functions
void | selectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object. More...
boolean | isAccessibleChildSelected ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected. More...
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected. More...
void | selectAllAccessibleChildren ()
| Select all children. More...
hyper | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected. More...
XAccessible | getSelectedAccessibleChild ([in] hyper nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child. More...
void | deselectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to represent a selection of accessible objects.

This interface is the standard mechanism to obtain and modify the currently selected children. Every object that has children that can be selected should support this interface.

The XAccessibleSelection interface has to be implemented in conjunction with the XAccessibleContext interface that provides the children on which the first operates.

It depends on the class implementing this interface, whether it supports single or multi selection.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ clearAccessibleSelection()

void clearAccessibleSelection | ( |  | ) |

Clears the selection, so that no children of the object are selected.

## ◆ deselectAccessibleChild()

void deselectAccessibleChild | ( | [in] hyper | nChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Removes the specified child from the set of this object's selected children.

Note that not all applications support deselection: calls to this method may be silently ignored.

Parameters

  nChildIndex | This index refers to all children not just the selected ones. If the specified child is not selected or it can not be deselected for any reason then the method call is silently ignored.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given index does not lie in the valid range of 0 up to, but not including, the result of XAccessibleContext::getAccessibleChildCount().

## ◆ getSelectedAccessibleChild()

XAccessible getSelectedAccessibleChild | ( | [in] hyper | nSelectedChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the specified selected Accessible child.

Parameters

  nSelectedChildIndex | This index refers only to the selected children, not to all the children of this object. Even if all children are selected, the indices enumerating the selected children need not be the same as those enumerating all children. If only single selection is supported the only valid value is 0.

Returns
  If the index is valid, i.e. not negative and lower than the number of selected children, then a valid reference to the corresponding XAccessible child is returned. Otherwise an exception is thrown.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given index does not lie in the valid range of 0 up to the result of XAccessibleSelection::getSelectedAccessibleChildCount()-1.

## ◆ getSelectedAccessibleChildCount()

hyper getSelectedAccessibleChildCount | ( |  | ) |

Returns the number of Accessible children that are currently selected.

This number specifies the valid interval of indices that can be used as arguments for the method XAccessibleSelection::getSelectedAccessibleChild().

Returns
  Returns the number of selected children of this object or 0 if no child is selected.

## ◆ isAccessibleChildSelected()

boolean isAccessibleChildSelected | ( | [in] hyper | nChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Determines if the specified child of this object is selected.

Parameters

  nChildIndex | Index of the child for which to detect whether it is selected. This index refers to all the children of this object.

Returns
  Returns `TRUE` if the specified child is selected and `FALSE` if it is not selected.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given index does not lie in the valid range of 0 up to the result of XAccessibleContext::getAccessibleChildCount()-1.

## ◆ selectAccessibleChild()

void selectAccessibleChild | ( | [in] hyper | nChildIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Selects the specified Accessible child of the object.

Depending on the implementing class the child is added to the current set a selected children (multi selection) or a previously selected child is deselected first (single selection).

Parameters

  nChildIndex | Index of the child which is to add to the selection. This index refers to all the children of this object.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given index does not lie in the valid range of 0 up to the result of XAccessibleContext::getAccessibleChildCount()-1.

## ◆ selectAllAccessibleChildren()

void selectAllAccessibleChildren | ( |  | ) |

Select all children.

Causes every child of the object to be selected if the object supports multiple selections. If multiple selection is not supported then the first child, if it exists, is selected and all other children are deselected.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleSelection.idl